const { logger } = require('../utils/logger');

module.exports = {
  errorHandler(err, req, res, next) {
    logger.error(err.stack);

    if (err.name === 'ApiError') {
      return res.status(err.statusCode).json({
        error: err.message
      });
    }

    return res.status(500).json({
      error: 'Internal server error'
    });
  }
};